
import tkinter as tk
import random

def create_random_button(root, text, command):
    # Create a random color for the button
    random_color = f'#{random.randint(0, 0xFFFFFF):06x}'
    
    # Create a button with the given text and a random color
    button = tk.Button(root, text=text, bg=random_color, command=command)
    button.pack(pady=20)

# Usage example
if __name__ == "__main__":
    root = tk.Tk()
    create_random_button(root, "Click Me", lambda: print("Button clicked!"))
    root.mainloop()


